LS-DYNA 二次开发,MPP 编译时出错

受惠于这个网站,找到了 LS-DYNA 新版本的二次开发文件,正常的 smp 版本编译可以正常进行,但是由于模型较大,想尝试编译出个 MPP 求解器,结果编译时出错,提示缺少‘mpif.h’文件,具体如图所示。网上查询也没找到具体的解决办法,说是缺少一个库,但由于这方面知识缺乏,确实不知具体怎么操作,希望有前辈帮助。attachments-2020-07-xKdDrsh05f105c51e1497.png

  • 304
请先 登录 后评论

最佳答案

MPP 版本的二次开发编译和 SMP 版本没有什么不同,既然已经编译好了 SMP 版本,MPP 版本的编译过程应该也没什么问题。

提示的缺少“mpif.h”文件,是因为系统没有 安装 Intel MPI 工具包 ,没有 MPI 构建库,构建库的下载地址:https://software.intel.com/

请先 登录 后评论

其它 0 个回答